mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException System.Runtime.InteropServices.ComVisible(true)

SafeArrayTypeMismatchException uses the HRESULT COR_E_SAFEARRAYTYPEMISMATCH which has the value 0x80131533.

The exception thrown when the type of the incoming SAFEARRAY does not match the type specified in the managed signature.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  SafeArrayTypeMismatchException inherits from . This constructor sets the properties of the object as shown in the following table.

  Property

  Value

  null.

  A localized error message string.

  Initializes a new instance of the SafeArrayTypeMismatchException class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  SafeArrayTypeMismatchException inherits from . This constructor sets the properties of the object as shown in the following table.

  Property

  Value

  null.

  Initializes a new instance of the SafeArrayTypeMismatchException class with the specified message.

  The message that indicates the reason for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see .

  SafeArrayTypeMismatchException inherits from .

  Initializes a new instance of the SafeArrayTypeMismatchException class from serialization data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.